### Hierarchy

- TransactionService

## Index

### Constructors

- constructor

### Properties

- registry
- transactionList
- transactions
- transactionsSubject
- userInfo
- web3

### Methods

- addTransaction
- getAccountInfo
- getAddressTransactions
- getAllTransactions
- init
- resetTransactionsList
- setConversion
- setTransaction
- transferRequest

## Constructors

### constructor

- new TransactionService(httpClient: HttpClient, authService: AuthService, userService: UserService, loggingService: LoggingService): TransactionService

- - Defined in src/app/_services/transaction.service.ts:32

  #### Parameters

  - ##### httpClient: HttpClient

  - ##### authService: AuthService

  - ##### userService: UserService

  - ##### loggingService: LoggingService

  #### Returns TransactionService

## Properties

### registry

registry: CICRegistry

- Defined in src/app/_services/transaction.service.ts:32

### Private transactionList

transactionList: BehaviorSubject<any[]> = ...

- Defined in src/app/_services/transaction.service.ts:28

### transactions

transactions: any[] = []

- Defined in src/app/_services/transaction.service.ts:27

### transactionsSubject

transactionsSubject: Observable<any[]> = ...

- Defined in src/app/_services/transaction.service.ts:29

### userInfo

userInfo: any

- Defined in src/app/_services/transaction.service.ts:30

### web3

web3: default

- Defined in src/app/_services/transaction.service.ts:31

## Methods

### addTransaction

- addTransaction(transaction: any, cacheSize: number): void

- - Defined in src/app/_services/transaction.service.ts:118

  #### Parameters

  - ##### transaction: any

  - ##### cacheSize: number

  #### Returns void

### getAccountInfo

- getAccountInfo(account: string, cacheSize?: number): any

- - Defined in src/app/_services/transaction.service.ts:138

  #### Parameters

  - ##### account: string

  - ##### cacheSize: number = 100

  #### Returns any

### getAddressTransactions

- getAddressTransactions(address: string, offset: number, limit: number): Observable<any>

- - Defined in src/app/_services/transaction.service.ts:53

  #### Parameters

  - ##### address: string

  - ##### offset: number

  - ##### limit: number

  #### Returns Observable<any>

### getAllTransactions

- getAllTransactions(offset: number, limit: number): Observable<any>

- - Defined in src/app/_services/transaction.service.ts:49

  #### Parameters

  - ##### offset: number

  - ##### limit: number

  #### Returns Observable<any>

### init

- init(): Promise<void>

- - Defined in src/app/_services/transaction.service.ts:43

  #### Returns Promise<void>

### resetTransactionsList

- resetTransactionsList(): void

- - Defined in src/app/_services/transaction.service.ts:133

  #### Returns void

### setConversion

- setConversion(conversion: any, cacheSize: any): Promise<void>

- - Defined in src/app/_services/transaction.service.ts:93

  #### Parameters

  - ##### conversion: any

  - ##### cacheSize: any

  #### Returns Promise<void>

### setTransaction

- setTransaction(transaction: any, cacheSize: number): Promise<void>

- - Defined in src/app/_services/transaction.service.ts:57

  #### Parameters

  - ##### transaction: any

  - ##### cacheSize: number

  #### Returns Promise<void>

### transferRequest

- transferRequest(tokenAddress: string, senderAddress: string, recipientAddress: string, value: number): Promise<any>

- - Defined in src/app/_services/transaction.service.ts:145

  #### Parameters

  - ##### tokenAddress: string

  - ##### senderAddress: string

  - ##### recipientAddress: string

  - ##### value: number

  #### Returns Promise<any>

Generated using TypeDoc